Bug 1248776 - [OVS] Support VXLAN in userspace using IPv4
[OVS] Support VXLAN in userspace using IPv4
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch (Show other bugs)
7.2
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Thadeu Lima de Souza Cascardo
Jean-Tsung Hsiao
:
Depends On:
Blocks: 1301628 1313485
  Show dependency treegraph
 
Reported: 2015-07-30 15:39 EDT by Thadeu Lima de Souza Cascardo
Modified: 2016-09-07 14:27 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1248777 (view as bug list)
Environment:
Last Closed: 2016-09-07 14:14:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thadeu Lima de Souza Cascardo 2015-07-30 15:39:55 EDT
Using a userspace bridge with a dpdk interface, we need to support VXLAN tunnels. Notice that this requires that the tunnel destination has a route through another userspace OVS bridge. For this bug, we are interested in testing IPv4 tunnels.

Cascardo.
Comment 2 Flavio Leitner 2015-08-31 10:00:55 EDT
Requires OVS 2.4 or newer
Comment 6 Jean-Tsung Hsiao 2016-09-07 14:14:48 EDT
This Bug has been verified back in October 2015. Please check the following report:

https://wiki.test.redhat.com/jhsiao/openvswitch/TestResults/vhostuser-OVS%2BDPDK-%7Bvxlan%2Cgre%7D-pmd

Per discussion with the Assignee will close this bug.
Comment 7 Jean-Tsung Hsiao 2016-09-07 14:27:26 EDT
Latest OVS-dpdk vxlan tunnelling netperf test results:

*** 64 concurrent netperf/TCP_STREAM tests between two interhost VM's over 10 Gb ixgbe ***

aggregated throughput rate: 9.33 Gb

*** 64 concurrent netperf/TCP_MAERTS tests between two interhost VM's over 10 Gb ixgbe ***

aggregated throughput rate: 9.33 Gb

 
Packages used:

openvswitch-2.5.0-10.git20160727.el7fdb.x86_64
 
dpdk-16.04-4.el7fdb.x86_64

dpdk-tools-16.04-4.el7fdb.x86_64

Linux netqe9.knqe.lab.eng.bos.redhat.com 3.10.0-500.el7.x86_64 #1 SMP Tue Aug 30 18:58:04 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux

Note You need to log in before you can comment on or make changes to this bug.